CashOffice/Controllers/AdminController/OfficeController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using DataLayer;
using DomainClass;
using CashOffice.Helper;

namespace CashOffice.Controllers.AdminController
{
    [CustomAuthorize(Roles = "Admin")]
    public partial class OfficeController : Controller
    {
        // GET: Office
        public virtual ActionResult Index()
        {
            return View();
        }
        /// <summary>
        /// Get All Office Return Json Result
        /// </summary>
        /// <returns></returns>
        public virtual JsonResult GetAllOffice()
        {
            using (DataBaseContext db = new DataBaseContext())
            {
                var OfficeList = db.Offices.Select(x => new
                {
                    x.ID,
                    x.OfficeName,
                    x.ManagerName,
                    x.Address,
                }).ToList();
                return Json(OfficeList, JsonRequestBehavior.AllowGet);
            }
        }

        /// <summary>
        /// GetOffice By ID Return Jsonn Result
        /// </summary>
        /// <param name="ID"></param>
        /// <returns></returns>
        public virtual JsonResult GetOfficeByID(int ID)
        {
            using (DataBaseContext db = new DataBaseContext())
            {
                var OfficeList = db.Offices.Where(x => x.ID == ID).Select(x => new
                {
                    x.ID,
                    x.OfficeName,
                    x.ManagerName,
                    x.Address,
                }).ToList();
                return Json(OfficeList[0], JsonRequestBehavior.AllowGet);
            }
        }
        /// <summary>
        /// Update Office 
        /// </summary>
        /// <param name="Office"></param>
        /// <returns></returns>
        public virtual string UpdateOffice(Office Office)
        {
            if (Office != null)
            {
                using (DataBaseContext contextObj = new DataBaseContext())
                {
                    var OfficeID = Convert.ToInt32(Office.ID);
                    //var _Office = contextObj.Offices.Where(c => c.ID == OfficeID).FirstOrDefault();
                    var _Office = contextObj.Offices.FirstOrDefault(c => c.ID == OfficeID);
                    _Office.OfficeName = Office.OfficeName;
                    _Office.ManagerName = Office.ManagerName;
                    _Office.Address = Office.Address;
                    contextObj.SaveChanges();
                    return "رکورد با موفقیت به روز شد";
                }
            }
            else
            {
                return "خطا در بروز رسانی";
            }
        }
        /// <summary>
        /// Add Office
        /// </summary>
        /// <param name="Office"></param>
        /// <returns></returns>
        public virtual string AddOffice(Office Office)
        {
            if (Office != null)
            {
                using (DataBaseContext contextObj = new DataBaseContext())
                {
                    contextObj.Offices.Add(Office);
                    contextObj.SaveChanges();
                    return "رکورد با موفقیت اضافه شد";
                }
            }
            else
            {
                return "خطا در افزودن رکورد";
            }
        }
        /// <summary>
        /// Delete Book By ID
        /// </summary>
        /// <param name="ID"></param>
        /// <returns></returns>
        public virtual string DeleteOffice(int? ID)
        {
            if (ID != null)
            {
                try
                {
                    using (DataBaseContext contextObj = new DataBaseContext())
                    {
                        var _Office = contextObj.Offices.Find(ID);
                        contextObj.Offices.Remove(_Office);
                        contextObj.SaveChanges();
                        return "رکورد با موفقیت حذف شد";
                    }
                }
                catch (Exception)
                {
                    return "خطا در حذف رکورد";
                }
            }
            else
            {
                return "خطا در حذف رکورد";
            }
        }

    }
}

CashOffice/Controllers/AdminController/RoleController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using DataLayer;
using DomainClass;
using CashOffice.Helper;

namespace CashOffice.Controllers.AdminController
{
    [CustomAuthorize(Roles = "Admin")]
    public partial class RoleController : Controller
    {
        // GET: Role
        public virtual ActionResult Index()
        {
            return View();
        }
        /// <summary>
        /// Get All Role Return Json Result
        /// </summary>
        /// <returns></returns>
        public virtual JsonResult GetAllRole()
        {
            using (DataBaseContext db = new DataBaseContext())
            {
                var RoleList = db.Roles.Select(x => new
                {
                    x.ID,
                    x.RoleName,
                    x.RoleCaption,
                }).ToList();
                return Json(RoleList, JsonRequestBehavior.AllowGet);
            }
        }

        /// <summary>
        /// GetRole By ID Return Jsonn Result
        /// </summary>
        /// <param name="ID"></param>
        /// <returns></returns>
        public virtual JsonResult GetRoleByID(int ID)
        {
            using (DataBaseContext db = new DataBaseContext())
            {
                var RoleList = db.Roles.Where(x => x.ID == ID).Select(x => new
                {
                    x.ID,
                    x.RoleName,
                    x.RoleCaption,
                }).ToList();
                return Json(RoleList[0], JsonRequestBehavior.AllowGet);
            }
        }
        /// <summary>
        /// Update Role 
        /// </summary>
        /// <param name="Role"></param>
        /// <returns></returns>
        public virtual string UpdateRole(Role Role)
        {
            if (Role != null)
            {
                using (DataBaseContext contextObj = new DataBaseContext())
                {
                    var RoleID = Convert.ToInt32(Role.ID);
                    //var _Role = contextObj.Roles.Where(c => c.ID == RoleID).FirstOrDefault();
                    var _Role = contextObj.Roles.FirstOrDefault(c => c.ID == RoleID);
                    _Role.RoleName = Role.RoleName;
                    _Role.RoleCaption = Role.RoleCaption;
                    contextObj.SaveChanges();
                    return "رکورد با موفقیت به روز شد";
                }
            }
            else
            {
                return "خطا در بروز رسانی";
            }
        }
        /// <summary>
        /// Add Role
        /// </summary>
        /// <param name="Role"></param>
        /// <returns></returns>
        public virtual string AddRole(Role Role)
        {
            if (Role != null)
            {
                using (DataBaseContext contextObj = new DataBaseContext())
                {
                    contextObj.Roles.Add(Role);
                    contextObj.SaveChanges();
                    return "رکورد با موفقیت اضافه شد";
                }
            }
            else
            {
                return "خطا در افزودن رکورد";
            }
        }
        /// <summary>
        /// Delete Book By ID
        /// </summary>
        /// <param name="ID"></param>
        /// <returns></returns>
        public virtual string DeleteRole(int? ID)
        {
            if (ID != null)
            {
                try
                {
                    using (DataBaseContext contextObj = new DataBaseContext())
                    {
                        var _Role = contextObj.Roles.Find(ID);
                        contextObj.Roles.Remove(_Role);
                        contextObj.SaveChanges();
                        return "رکورد با موفقیت حذف شد";
                    }
                }
                catch (Exception)
                {
                    return "خطا در حذف رکورد";
                }
            }
            else
            {
                return "خطا در حذف رکورد";
            }
        }

    }
}

CashOffice/Controllers/AdminController/UserController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using DataLayer;
using DomainClass;
using CashOffice.Helper;

namespace CashOffice.Controllers.AdminController
{
    [CustomAuthorize(Roles = "Admin")]
    public partial class UserController : Controller
    {
        // GET: User
        public virtual ActionResult Index()
        {
            return View();
        }
        public virtual JsonResult GetAllRoles()
        {
            using (DataBaseContext db = new DataBaseContext())
            {
                var RoleList = db.Roles.Select(x => new
                {
                    x.ID,
                    x.RoleName,
                    x.RoleCaption,
                }).ToList();
                return Json(RoleList, JsonRequestBehavior.AllowGet);
            }
        }

        /// <summary>
        /// Get All User Return Json Result
        /// </summary>
        /// <returns></returns>
        public virtual JsonResult GetAllUser()
        {
            using (DataBaseContext db = new DataBaseContext())
            {
                var UserList = db.Users.Select(x => new
                {
                    x.ID,
                    x.Lname,
                    x.Fname,
                    x.UserName,
                    x.Password,
                    x.RoleID,
                    x.Role.RoleCaption,
                    x.Role.RoleName
                }).ToList();
                return Json(UserList, JsonRequestBehavior.AllowGet);
            }
        }

        /// <summary>
        /// GetUser By ID Return Jsonn Result
        /// </summary>
        /// <param name="ID"></param>
        /// <returns></returns>
        public virtual JsonResult GetUserByID(int ID)
        {
            using (DataBaseContext db = new DataBaseContext())
            {
                var UserList = db.Users.Where(x => x.ID == ID).Select(x => new
                {
                    x.ID,
                    x.Lname,
                    x.Fname,
                    x.UserName,
                    x.Password,
                    x.RoleID,
                    x.Role.RoleCaption,
                    x.Role.RoleName
                }).ToList();
                return Json(UserList[0], JsonRequestBehavior.AllowGet);
            }
        }
        /// <summary>
        /// Update User
        /// </summary>
        /// <param name="User"></param>
        /// <returns></returns>
        public virtual string UpdateUser(User User)
        {
            if (User != null)
            {
                using (DataBaseContext contextObj = new DataBaseContext())
                {
                    var UserID = Convert.ToInt32(User.ID);
                    var _User = contextObj.Users.FirstOrDefault(c => c.ID == UserID);
                    _User.Lname = User.Lname;
                    _User.Fname = User.Fname;
                    _User.UserName = User.UserName;
                    _User.Password = User.Password;
                    _User.RoleID = User.RoleID;
                    contextObj.SaveChanges();
                    return "رکورد با موفقیت به روز شد";
                }
            }
            else
            {
                return "خطا در بروز رسانی";
            }
        }
        /// <summary>
        /// Add User
        /// </summary>
        /// <param name="User"></param>
        /// <returns></returns>
        public virtual string AddUser(User User)
        {
            if (User != null)
            {
                using (DataBaseContext contextObj = new DataBaseContext())
                {
                    contextObj.Users.Add(User);
                    contextObj.SaveChanges();
                    return "رکورد با موفقیت اضافه شد";
                }
            }
            else
            {
                return "خطا در افزودن رکورد";
            }
        }
        /// <summary>
        /// Delete Book By ID
        /// </summary>
        /// <param name="ID"></param>
        /// <returns></returns>
        public virtual string DeleteUser(int? ID)
        {
            if (ID != null)
            {
                try
                {
                    using (DataBaseContext contextObj = new DataBaseContext())
                    {
                        var _User = contextObj.Users.Find(ID);
                        contextObj.Users.Remove(_User);
                        contextObj.SaveChanges();
                        return "رکورد با موفقیت حذف شد";
                    }
                }
                catch (Exception)
                {
                    return "خطا در حذف رکورد";
                }
            }
            else
            {
                return "خطا در حذف رکورد";
            }
        }

    }
}

CashOffice/Views/Shared/_ActivityLayout.cshtml
<!DOCTYPE html>
<html ng-app="CashOfficeApp">
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>سامانه مدیریت صندوق</title>

    @Styles.Render("~/Content/css")
    @Scripts.Render("~/bundles/modernizr")
    @Scripts.Render("~/bundles/angularcore")

    @*@Scripts.Render("~/bundles/anactivity")*@
</head>
<body dir="rtl" class="w3-light-gray">
    <div class="wrapper">
    <header class="w3-container w3-light-blue">
        <p class="w3-center">بخش مدیریت مشتری <a href="@Url.Action("Logout", "Home")"><i class="fa fa-2x fa-sign-out w3-display-topright"></i></a></p>
    </header>
    <hr />
    <div class="container body-content">
        @RenderBody()
        <hr />
    </div>
        <footer class="w3-container w3-center w3-dark-grey w3-display-bottomm footer">
            <p>&copy; @DateTime.Now.Year -شرکت فنی و مهندسی کاوش -  مدیریت صندوق</p>
        </footer>
</div>
    @Scripts.Render("~/bundles/jquery")
    @Scripts.Render("~/bundles/bootstrap")
    @RenderSection("Scripts", required: false)
</body>
</html>

CashOffice/Views/Shared/_AdminLayout.cshtml
<!DOCTYPE html>
<html ng-app="CashOfficeApp">
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>سامانه مدیریت صندوق</title>

    @Styles.Render("~/Content/css")
    @Scripts.Render("~/bundles/modernizr")
    @Scripts.Render("~/bundles/angularcore")


</head>
<body dir="rtl" class="w3-light-gray">
    <nav class="w3-sidenav w3-card-4 w3-blue w3-animate-right w3-border" style="display:none;width:10%" id="mySidenav">
        <div>
            <a href="javascript:void(0)" onclick="w3_close()" class="w3-closenav w3-padding-12 w3-border-bottom"><i class="fa fa-times w3-padding-medium"></i>بستن</a>
            <a href="@Url.Action("Index", "Office")" onclick = "w3_close()" class = "w3-padding-12 w3-border-bottom"><i class="fa fa-home w3-padding-medium"></i>دفتر</a>
            <a href="@Url.Action("Index", "Role")" onclick="w3_close()" class="w3-padding-12 w3-border-bottom"><i class="fa fa-user-plus w3-padding-medium"></i>نقش کاربری</a>
            <a href="@Url.Action("Index", "User")" onclick="w3_close()" class="w3-padding-12 w3-border-bottom"><i class="fa fa-users w3-padding-medium"></i>کاربران</a>
            <a href="@Url.Action("Index", "Service")" onclick="w3_close()" class="w3-padding-12 w3-border-bottom"><i class="fa fa-tasks w3-padding-medium"></i>سرویس ها</a>
            <a href="@Url.Action("Index", "UserService")" onclick="w3_close()" class="w3-padding-12 w3-border-bottom"><i class="fa fa-user-secret w3-padding-medium"></i>سرویس کاربران</a>
            <a href="@Url.Action("Logout", "Home")" onclick="w3_close()" class="w3-padding-12 w3-border-bottom"><i class="fa fa-sign-out w3-padding-medium"></i>خروج</a>
            @*@Html.ActionLink(linkText: "خروج", actionName: "Logout", controllerName: "Home", routeValues: "", htmlAttributes: new { @onclick = "w3_close()", @class = "w3-padding-12" })*@
        </div>
    </nav>
    <div id="main">
        <header class="w3-container w3-light-blue">
            <span class="w3-opennav w3-xlarge" onclick="w3_open()" id="openNav">&#9776;</span>
        </header>
        <div class="w3-container" onclick="w3_close()">
            @*<div class="container body-content">*@
            @RenderBody()
            @*</div>*@
        </div>
        <hr />
        <footer class="w3-container w3-center w3-dark-grey w3-display-bottomm footer">
            <p>&copy; @DateTime.Now.Year -شرکت فنی و مهندسی کاوش -  مدیریت صندوق</p>
        </footer>
        <script>
            function w3_open() {
                document.getElementById("main").style.marginRight = "15%";
                document.getElementById("mySidenav").style.width = "15%";
                document.getElementById("mySidenav").style.display = "block";
                document.getElementById("openNav").style.display = 'none';
            }
            function w3_close() {
                document.getElementById("main").style.marginRight = "0%";
                document.getElementById("mySidenav").style.display = "none";
                document.getElementById("openNav").style.display = "inline-block";
            }
        </script>
        @Scripts.Render("~/bundles/jquery")
        @Scripts.Render("~/bundles/bootstrap")
        @RenderSection("Scripts", required: false)
    </div>
</body>
</html>

CashOffice/Views/Shared/_Layout.cshtml
<!DOCTYPE html>
<html ng-app="CashOfficeApp">
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>سامانه مدیریت صندوق</title>
    @Styles.Render("~/Content/css")
    @Scripts.Render("~/bundles/modernizr")
</head>
<body dir="rtl" class="w3-light-gray">
    <header class="w3-container w3-light-blue">
        <h2>ورود به سامانه</h2>
    </header>

    <div class="container body-content">
        @RenderBody()
        <hr />
    </div>
    <div class="push"></div>
    <footer class="w3-container w3-center w3-dark-grey w3-display-bottomm footer">
        <p>&copy; @DateTime.Now.Year -شرکت فنی و مهندسی کاوش -  مدیریت صندوق</p>
    </footer>

    @Scripts.Render("~/bundles/jquery")
    @Scripts.Render("~/bundles/bootstrap")
    @RenderSection("scripts", required: false)


</body>
</html>

CashOffice/Views/Shared/_LoginLayout.cshtml
<!DOCTYPE html>
<html ng-app="CashOfficeApp">
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>سامانه مدیریت صندوق</title>

    @Styles.Render("~/Content/css")
    @Scripts.Render("~/bundles/modernizr")

</head>
<body dir="rtl" class="w3-light-gray">
    <header class="w3-container w3-light-blue">
        <h5 class="w3-center">ورود به سامانه</h5>
    </header>
    <div class="w3-container">
        @RenderBody()
        <hr />
    </div>
    <footer class="w3-container w3-center w3-dark-grey w3-display-bottomm footer">
        <p>&copy; @DateTime.Now.Year -شرکت فنی و مهندسی کاوش -  مدیریت صندوق</p>
    </footer>

    @Scripts.Render("~/bundles/jquery")
    @Scripts.Render("~/bundles/bootstrap")
    @RenderSection("scripts", required: false)
</body>
</html>

CashOffice/Views/Shared/_UserHomeLayout.cshtml
<!DOCTYPE html>
<html ng-app="CashOfficeApp">
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>سامانه مدیریت صندوق</title>

    @Styles.Render("~/Content/css")
    @Scripts.Render("~/bundles/modernizr")
    @Scripts.Render("~/bundles/angularcore")

</head>
<body dir="rtl" class="w3-light-gray">
    <header class="w3-container w3-light-blue">
        <p class="w3-center">بخش ارائه سرویس <a href="@Url.Action("Logout", "Home")"><i class="fa fa-2x fa-sign-out w3-display-topright"></i></a></p>
    </header>
    <hr />

    <div class="w3-container">
        @RenderBody()
        <hr />
    </div>
    <footer class="w3-container w3-center w3-dark-grey w3-display-bottomm footer">
        <p>&copy; @DateTime.Now.Year -شرکت فنی و مهندسی کاوش -  مدیریت صندوق</p>
    </footer>

    @Scripts.Render("~/bundles/jquery")
    @Scripts.Render("~/bundles/bootstrap")
    @RenderSection("Scripts", required: false)
</body>
</html>